<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author rodrigo.hernandez

@description  página que muestra los formularios para capturar datos para Diligenciar Solicitud


@Managed Bean DiligenciamientoSolicitudMB
 
@version  2.0

-->


<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml"> 

    <ui:define name="title">.::Sistema Nacional Catastral::. .::Diligenciar Solicitud ::.</ui:define>
    <ui:define name="content">
        <h:panelGrid id="mainPG" width="100%">
            <h:form id="informacionRadicacionForm">
                <p:focus />
                <p:messages id="msgsDS" showDetail="false" globalOnly="false" />

                <p:fieldset toggleable="true" toggleSpeed="500">

                    <legend>
                        <h:outputText value="Información de acceso por radicación"
                                      styleClass="legendTitle" />
                    </legend>

                    <p:spacer height="10" />

                    <h:panelGrid columns="6" cellspacing="7"
                                 columnClasses="colPequena, colMediana, colPequena, colMediana, colPequena, colMediana">

                        <h:outputText value="Número de radicación: "
                                      styleClass="outputLabelStyle" />
                        <h:outputText
                            value="#{diligenciamientoSolicitudAvaluo.numeroRadicacion}"
                            styleClass="outputTextStyle" />

                        <h:outputText value="Fecha de radicación: "
                                      styleClass="outputLabelStyle" />
                        <h:outputText
                            value="#{diligenciamientoSolicitudAvaluo.fechaRadicacion}"
                            styleClass="outputTextStyle">
                            <f:convertDateTime pattern="#{general.formatoFechaHora}"
                                               locale="es_CO" timeZone="GMT-5" />
                        </h:outputText>
                        <h:outputText value="Hora de radicación "
                                      styleClass="outputLabelStyle" />
                        <h:outputText
                            value="#{diligenciamientoSolicitudAvaluo.horaRadicacion}"
                            styleClass="outputTextStyle" />

                    </h:panelGrid>
                </p:fieldset>
            </h:form>


            <p:spacer height="10" />

            <p:fieldset toggleable="true" toggleSpeed="500"
                        id="informacionSolicitanteFS">
                <legend>
                    <h:outputText value="Información del solicitante"
                                  styleClass="legendTitle" />
                </legend>

                <h:panelGrid width="100%">
                    <ui:include src="/avaluos/util/resumenSolicitante.xhtml">
                        <ui:param name="headerTablaSolicitanteParam"
                                  value="Lista de Solicitantes" />
                        <ui:param name="datosSolicitanteWvParam"
                                  value="addSolicitanteDialogWV" />
                        <ui:param name="eliminarSolicitanteWvParam"
                                  value="eliminarSolicitanteConfirmationWV" />
                    </ui:include>
                </h:panelGrid>
            </p:fieldset>

            <p:spacer height="10" />

            <p:fieldset toggleable="true" toggleSpeed="500"
                        id="informacionSolicitudFS"
                        rendered="#{diligenciamientoSolicitudAvaluo.banderaInformacionSolicitanteAlmacenada}">
                <legend>
                    <h:outputText value="Información del trámite"
                                  styleClass="legendTitle" />
                </legend>

                <h:panelGrid width="100%">
                    <ui:include src="diligenciarSolicitudInformacionTipoTramite.xhtml" />
                </h:panelGrid>

            </p:fieldset>

            <!-- información de predios -->
            <h:panelGrid id="informacionPrediosPG"
                         rendered="#{diligenciamientoSolicitudAvaluo.banderaInformacionTipoTramiteAlmacenada}"
                         width="100%">
                <ui:include src="administrarPrediosAvaluos.xhtml" />
            </h:panelGrid>



            <p:spacer height="10" />

            <p:tabView id="documentacionPagosTV"
                       rendered="#{diligenciamientoSolicitudAvaluo.banderaInformacionPrediosAlmacenada}">
                <p:tab title="Información de documentos">
                    <ui:include src="administracionDocumentacionAvaluoComercial.xhtml" />
                </p:tab>
                <p:tab title="Información de forma de pago">

                </p:tab>
            </p:tabView>


            <!-- Form para botones de la página -->
            <p:spacer height="10" />

            <h:form id="diligenciarSolicitudForm">
                <p:outputPanel layout="block" style="text-align:left">
                    <p:commandButton value="Guardar solicitud" icon="ui-icon-disk"
                                     action="#{diligenciamientoSolicitudAvaluo.validarDatosPaneles}"
                                     update=":informacionRadicacionForm" />
                    <p:spacer width="5" height="0" />
                    <p:commandButton value="Finalizar" icon="ui-icon-check"
                                     disabled="#{!diligenciamientoSolicitudAvaluo.banderaFinDiligenciamientoHabilitado}" />
                </p:outputPanel>

                <p:spacer height="10" />

                <p:separator style="width:925px;height:3px" />

                <p:spacer height="7" width="0" />

                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar"
                                     action="#{diligenciamientoSolicitudAvaluo.cerrar}"
                                     icon="ui-icon-circle-close" immediate="true" ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>
                <p:spacer height="20" width="0" />

            </h:form>
        </h:panelGrid>

        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="988" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="../util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <p:dialog header="Adicionar/Modificar Predio"
                  widgetVar="ingresarModificarPrediosAvaluosWV"
                  id="ingresarModificarPrediosAvaluosDialog" closable="true"
                  dynamic="true" resizable="false" minimizable="false" modal="true"
                  appendToBody="true" width="900">
            <ui:include src="ingresarModificarPrediosAvaluo.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="administrarContactosWV"
                  header="Asociar y desasociar contacto de predios" modal="true"
                  appendToBody="true" closable="true" dynamic="true"
                  minimizable="false" resizable="false" width="900">
            <ui:include src="administrarInfoContactoDePredios.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="cargarPrediosArchivoWV"
                  header="Cargar predios de tramite de avalúo desde archivo"
                  modal="true" appendToBody="true" closable="true" dynamic="true"
                  minimizable="false" resizable="false" width="980" height="600">
            <p:ajax update=":informacionPrediosForm"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                    listener="#{adminPrediosAvaluos.cargarPrediosAsociadosASolicitud}" />
            <ui:include src="cargarPrediosDeAvaluoDesdeArchivo.xhtml" />
        </p:dialog>

        <!-- ...................... composite components  ................................... -->

        <misc:confirmationDialogWithOutputMessageCC
            id="mensajeConfirmacionEliminacion" ajaxBehavior="false" width="350"
            confirmationMessage="#{adminInfoSolicitante.mensajeConfirmacionEliminacion}"
            confirmUpdate=":informacionSolicitanteForm, :datosSolicitanteForm"
            confirmAction="#{adminInfoSolicitante.eliminarSolicitanteDeLista}"
            confirmDialogWV="eliminarSolicitanteConfirmationWV" />


        <misc:confirmationDialogWithOutputMessageCC
            id="mensajeConfirmacionAdicion" ajaxBehavior="false" width="350"
            confirmationMessage="#{adminInfoSolicitante.mensajeConfirmacionAdicion}"
            confirmUpdate=":informacionSolicitanteForm, :datosSolicitanteForm"
            confirmAction="#{adminInfoSolicitante.guardarSolicitante}"
            confirmDialogWV="guardarSolicitanteConfirmationWV" />

        <misc:ultimateConfirmDialogCC id="confirmacionBorradoPredios"
                                      confirmMessage="¿Está seguro de eliminar los predios seleccionados?"
                                      confirmUpdateOnYes=":informacionPrediosForm"
                                      confirmDialogWV="confirmacionEliminarPrediosWV"
                                      voidActionOnYes="#{adminPrediosAvaluos.eliminarPredios}" 
                                      useStringActionOnNo="false" actionOnNoIsClose="true" useStringActionOnYes="false"
                                      width="330" />

        <misc:ultimateConfirmDialogCC id="confirmacionBorradoContacto"
                                      confirmMessage="¿Está seguro de que desea eliminar el contacto?"
                                      confirmUpdateOnYes=":informacionPrediosForm,
                                      :informacionContactosForm,
                                      :msgAdministrarContactos"
                                      confirmDialogWV="confirmacionEliminarContactoWV"
                                      voidActionOnYes="#{adminInfoContactoPredios.eliminarContacto}"
                                      useStringActionOnNo="false" actionOnNoIsClose="true" useStringActionOnYes="false"
                                      width="330" />

        <!-- ......................dialogs y composite components para documentacion de tramite de avalúo ................................... -->


        <p:dialog id="cargaDoc" widgetVar="cargaDocWV" header="Cargar anexo"
                  appendToBody="true" closable="true" minimizable="false"
                  dynamic="true">
            <ui:include
                src="/avaluos/ingresoSolicitud/cargarDocumentosSolicitud.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="administrarAnexosWV" header="Administrar anexos"
                  appendToBody="true" closable="true" minimizable="false"
                  dynamic="true" width="800">
            <ui:include src="administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
            <p:ajax event="close"
                    update=":documentacionPagosTV:administrarDocumentacionAvaluoForm:tblDocumentosRequeridos,
                    :documentacionPagosTV:administrarDocumentacionAvaluoForm:tblDocumentosAdicionales" />
        </p:dialog>

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de eliminar el archivo anexo seleccionado?"
            confirmUpdateOnYes=":administrarAnexosForm:tblAnexos, 
            :documentacionPagosTV:administrarDocumentacionAvaluoForm:tblDocumentosRequeridos,
            :documentacionPagosTV:administrarDocumentacionAvaluoForm:tblDocumentosAdicionales "
            confirmDialogWV="confirmacionEliminarAnexoWV"
            voidActionOnYes="#{administracionDocumentacionAvaluoComercial.eliminarAnexo}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnNo="false" actionOnNoIsClose="true" useStringActionOnYes="false"/>

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de eliminar el documento adicional seleccionado?"
            confirmUpdateOnYes=":documentacionPagosTV:administrarDocumentacionAvaluoForm"
            confirmDialogWV="confirmacionEliminarDocumentoAdicionalWV"
            voidActionOnYes="#{administracionDocumentacionAvaluoComercial.eliminarDocumentoAdicional}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnNo="false" actionOnNoIsClose="true" useStringActionOnYes="false"/>

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de adicionar el documento adicional especificado?"
            confirmUpdateOnYes=":documentacionPagosTV:administrarDocumentacionAvaluoForm:tblDocumentosAdicionales"
            confirmDialogWV="confirmacionAdicionarDocumentoAdicionalWV"
            voidActionOnYes="#{administracionDocumentacionAvaluoComercial.agregarDocumentoAdicional}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnNo="false" actionOnNoIsClose="true" useStringActionOnYes="false"/>


        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de enviar la documentación cargada al sistema para su radicación?"
            confirmUpdateOnYes=":documentacionPagosTV:administrarDocumentacionAvaluoForm"
            confirmDialogWV="confirmacionRadicacionWV"
            voidActionOnYes="#{administracionDocumentacionAvaluoComercial.generarRadicacion}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnNo="false" actionOnNoIsClose="true" useStringActionOnYes="false"/>

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de almacenar en forma definitiva la documentación cargada al sistema? "
            confirmUpdateOnYes=":documentacionPagosTV:administrarDocumentacionAvaluoForm"
            confirmDialogWV="confirmacionAlmacenarDocumentosWV"
            voidActionOnYes="#{administracionDocumentacionAvaluoComercial.almacenarDocumentosAnexos}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnNo="false" actionOnNoIsClose="true" useStringActionOnYes="false"/>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate=":documentacionPagosTV:administrarDocumentacionAvaluoForm:msgsDocTramiteAvaluo"
                                           confirmDialogWV="docAvaluosViewerWV" ajaxBehavior="false"
                                           selectedDocumentAtt="#{previsualizacionDocumento.reporteDTO.urlWebReporte}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{previsualizacionDocumento.reporteDTO.tipoMimeReporte}"
                                           headerLabel="Previsualización de documento" noRendered="false"
                                           yesRendered="false" />


    </ui:define>
</ui:composition>